--[[----------------------------------------------------------------------------

Copyright 2016 John R. Ellis.

------------------------------------------------------------------------------]]

return {
    LrSdkVersion = 5.7,
    LrSdkMinimumVersion = 5.7, 
    LrToolkitIdentifier = 'com.johnrellis.anyvision',
    LrPluginName = "Any Vision",
    LrPluginInfoUrl = "http://www.johnrellis.com/lightroom/anyvision.htm",
    LrPluginInfoProvider = "PluginInfoProvider.lua",
    LrMetadataProvider = "MetadataDefinition.lua",
    LrMetadataTagsetFactory = "Tagset.lua",
    LrLibraryMenuItems = {
        {title = "&Analyze", file = "Analyze.lua",
         enabledWhen = "photosSelected"},
        {title = "Show Error Log", file = "ShowErrorLog.lua"},
        {title = "Export to File", file = "Export.lua",
         enabledWhen = "photosSelected"},
        {title = "Sort by Color", file = "SortByColor.lua",
         enabledWhen = "photosSelected"},
        {title = "Find with Similar Labels", file = "FindSimilar.lua",
         enabledWhen = "photosSelected"},
        {title = "Remove Fields", file = "Remove.lua", 
         enabledWhen = "photosSelected"}},
    LrExportMenuItems = {
        {title = "&Analyze", file = "Analyze.lua",
         enabledWhen = "photosSelected"},
        {title = "Show Error Log", file = "ShowErrorLog.lua"},
        {title = "Export to File", file = "Export.lua",
         enabledWhen = "photosSelected"},
        {title = "Sort by Color", file = "SortByColor.lua",
          enabledWhen = "photosSelected"},
        {title = "Find with Similar Labels", file = "FindSimilar.lua",
         enabledWhen = "photosSelected"},
        {title = "Remove Fields", file = "Remove.lua", 
         enabledWhen = "photosSelected"}},
    URLHandler = "URLHandler.lua",
    VERSION = {major = 1, minor = 12, revision = 0, build = 0}}
    
    